package com.bonus.canteen.core.nutrition.service;

import java.util.List;
import com.bonus.canteen.core.nutrition.domain.HealthChronic;

/**
 * 慢性病Service接口
 * 
 * @author xsheng
 * @date 2025-05-13
 */
public interface IHealthChronicService {
    /**
     * 查询慢性病
     * 
     * @param id 慢性病主键
     * @return 慢性病
     */
    public HealthChronic selectHealthChronicById(Long id);

    /**
     * 查询慢性病列表
     * 
     * @param healthChronic 慢性病
     * @return 慢性病集合
     */
    public List<HealthChronic> selectHealthChronicList(HealthChronic healthChronic);

    /**
     * 新增慢性病
     * 
     * @param healthChronic 慢性病
     * @return 结果
     */
    public int insertHealthChronic(HealthChronic healthChronic);

    /**
     * 修改慢性病
     * 
     * @param healthChronic 慢性病
     * @return 结果
     */
    public int updateHealthChronic(HealthChronic healthChronic);

    /**
     * 批量删除慢性病
     * 
     * @param ids 需要删除的慢性病主键集合
     * @return 结果
     */
    public int deleteHealthChronicByIds(Long[] ids);

    /**
     * 删除慢性病信息
     * 
     * @param id 慢性病主键
     * @return 结果
     */
    public int deleteHealthChronicById(Long id);
}
